pure-statsdecode(8)

NAME

pure-statsdecode - Show human-readable dates from a "stats" logfile

SYNTAX

pure-statsdecode filename
pure-statsdecode -

DESCRIPTION

This program decodes Pure-FTPd's "stats" log files and converts timestamps into human-readable dates.

OPTIONS

-   means to read the standard input.

filename
    is a log file produced with pure-ftpd -O ftpstats:/path/to/logfile

EXAMPLES

To run this program the standard way type:

pure-statsdecode /var/log/pureftpd.log > /tmp/pureftpd.humanlog

Alternatively you can run it as:

cat /var/log/pureftpd.log | pure-statsdecode - | gzip --best > /tmp/pureftpd.humanlog.gz

AUTHORS

Frank DENIS <j at pureftpd dot org>

SEE ALSO
ftp(1), pure-ftpd(8) pure-ftpwho(8) pure-mrtginfo(8) pure-uploadscript(8) pure-statsdecode(8) pure-pw(8) pure-quotacheck(8) pure-authd(8) pure-certd(8) RFC 959, RFC 2228, RFC 2389 and RFC 2428.